## ide-device-manager ide-device-manager |

## Functions

#define | IDE_TYPE_DEVICE_MANAGER
void | ide_device_manager_add_provider ()
GPtrArray * | ide_device_manager_get_devices ()
gboolean | ide_device_manager_get_settled ()
void | ide_device_manager_remove_provider ()
IdeDevice * | ide_device_manager_get_device ()

## Properties

gboolean | settled | Read

## Signals

void | device-added | Run Last
void | device-removed | Run Last

## Types and Values

| IdeDeviceManager

## Object Hierarchy

        GObject
        ╰── IdeObject
            ╰── IdeDeviceManager

## Implemented Interfaces

IdeDeviceManager implements GListModel.

## Description

## Functions

### IDE_TYPE_DEVICE_MANAGER

    #define IDE_TYPE_DEVICE_MANAGER (ide_device_manager_get_type())

### ide_device_manager_add_provider ()

    void
    ide_device_manager_add_provider (IdeDeviceManager *self,
                                     IdeDeviceProvider *provider);

### ide_device_manager_get_devices ()

    GPtrArray *
    ide_device_manager_get_devices (IdeDeviceManager *self);

Retrieves all of the devices that are registered with the IdeDeviceManager.

#### Returns

An array of devices registered with the IdeManager.

[transfer container][element-type IdeDevice*]

### ide_device_manager_get_settled ()

    gboolean
    ide_device_manager_get_settled (IdeDeviceManager *self);

### ide_device_manager_remove_provider ()

    void
    ide_device_manager_remove_provider (IdeDeviceManager *self,
                                        IdeDeviceProvider *provider);

### ide_device_manager_get_device ()

    IdeDevice *
    ide_device_manager_get_device (IdeDeviceManager *self,
                                   const gchar *device_id);

Fetches the first device that matches the device identifier `device_id` .

#### Parameters

device_id | The device identifier string. |

#### Returns

An IdeDevice or `NULL`.

[transfer none]

## Types and Values

### IdeDeviceManager

    typedef struct _IdeDeviceManager IdeDeviceManager;

## Property Details

### The `“settled”` property

      “settled”                  gboolean

If the device providers have settled.

Flags: Read

Default value: FALSE

## Signal Details

### The `“device-added”` signal

    void
    user_function (IdeDeviceManager  *idedevicemanager,
                   IdeDeviceProvider *arg1,
                   IdeDevice         *arg2,
                   gpointer           user_data)

Flags: Run Last

### The `“device-removed”` signal

    void
    user_function (IdeDeviceManager  *idedevicemanager,
                   IdeDeviceProvider *arg1,
                   IdeDevice         *arg2,
                   gpointer           user_data)

Flags: Run Last